package main

import (
	"html/template"
	"log"
	"net/http"
	"os"
)

func main() {
	t, err := template.ParseFiles("./html/index.html")
	if err != nil {
		log.Fatalln("index.htmlのパースに失敗しました:", err)
	}
	params := struct {
		Title   string
		Lessons []string // 演習
	}{
		Title:   "Go入門",
		Lessons: []string{"入門編", "応用編", "実践編"}, // 演習
	}
	t.Execute(os.Stdout, params)

	// 演習
	http.HandleFunc("/lessons", func(w http.ResponseWriter, r *http.Request) {
		params := struct {
			Title   string
			Lessons []string // 演習
		}{
			Title:   "Go入門",
			Lessons: []string{"入門編", "応用編", "実践編"}, // 演習
		}
		t.Execute(w, params)
	})
	if err := http.ListenAndServe(":8080", nil); err != nil {
		log.Fatalln(err)
	}
}
