package main

import (
	"html/template"
	"log"
	"net/http"
	"time"
)

func main() {
	t, err := template.ParseFiles("./html/now.html")
	if err != nil {
		log.Fatalln("now.htmlのパースに失敗しました:", err)
	}

	http.HandleFunc("/now", func(w http.ResponseWriter, r *http.Request) {
		params := struct {
			Now time.Time
		}{
			Now: time.Now(),
		}
		t.Execute(w, params)
	})
	if err := http.ListenAndServe(":8080", nil); err != nil {
		log.Fatalln(err)
	}
}
