# Go のインストール（macOS）

ここでは macOS 向けの Go のインストール手順について解説します。Windows については [「Go のインストール（Windows）」](../windows/for-windows.md) をご確認ください。

ここではバージョン `1.19.4` を対象としていますが、手順通りに進めればその時点での最新バージョンがインストールされます。

## 0. Homebrew を使った Go のインストール

Go は Homebrew を使って簡単にインストールできます。Homebrew が何なのかわからない方は「1. インストーラーのダウンロード」に進んでください。

`brew install golang`でインストールします。`go verison`が実行できれば完了です。

```shell
$ go version
go version go1.19.4 darwin/arm64
```

## 1. インストーラーのダウンロード

https://go.dev にアクセスして「Download」をクリックします。

![go.dev](images/01_go.dev.png)

インストーラーを選択します。使用しているマシンのチップが Apple Silicon（M1/M2）の場合は `Apple macOS (ARM64)` 、Intel の場合は `Apple macOS (x86-64)` を選択します。

![download](images/02_download.png)

## 2. インストール

ダウンロードした `go1.19.4.darwin-arm64.pkg` または `go1.19.4.darwin-amd64.pkg` を開きます。

インストーラーが起動するので `Continue` をクリックします。

![introduction](images/03_introduction.png)

インストール先を選択します。`Install for all users of this computer` を選択して `Continue` をクリックします。

![destination](images/04_destination.png)

インストールするディレクトリを選択します。そのまま `Instal` をクリックしてインストールを実行します。

![installation type](images/05_installation_type.png)

インストールが実行されるのでしばらく待ちます。

![installling](images/06_installing.png)

次のような画面が出れば完了です。`Close` をクリックして終了です。

![The install was successful.](images/07_done.png)